Subject: bug#51696: Request: Adopt the unofficial GUIX community on Matrix

From: Jacob Hrbek <[email-masked]>
Date: Fri, 12 Nov 2021 07:25:29 +0000

> I'm curious; have you tried any Matrix client that do not require a browser or need a large amount of system resources to operate? --Maxim

I was doing quick testing of other clients +- 7 months ago and decided to use element. I didn't do any additional testing after that. Is there any reason why should I check them?

I am not aware of any matrix's client that requires a large amount of processing resources to operate (excluding miitrix for Nintendo DS allegedly which is allegedly due to the used Infrastructure on the device).. would be a major problem for me if it did as my devices are optimized for battery life and tent to overheat on such use.

I assume that you want to make the argument that it requires more processing resources than IRC?
That is true by design as Matrix is doing E2EE which I found to be more resource efficient and usable in comparison to Hexchat with fishlim.

Sent from ProtonMail mobile

\-------- Original Message --------
On Nov 12, 2021, 06:40, Maxim Cournoyer < [email-masked]> wrote:

>
>
>
> \-CC [email-masked] (since my reply here doesn't need to involve them)
>
> Hi,
>
> Jacob Hrbek <[email-masked]> writes:
>
> >> What is the difference between a Matrix space and a Matrix channel? -- Maxim
> >
> > In the analogy of files and directories: Matrix space is a directory for channels. (see attachment matrix-space.png)
> >
> > In the image you can see matrix space called GNU Guix (unofficiality
> > disclosed in the description) containing channel \#guix \#guile
> > \#guix-offtopic \#guix-wiki which are bridged to [libera.chat][] with Guix
> > System.. channel on Matrix
> >
> >> From my memory the reality is that most of the clients are not quite there yet... -- Maxim
> >
> > That is not my experience I suggest you to try them again and be specific about the issues so that they can be investigated.
>
> I'm curious; have you tried any Matrix client that do not require a
> browser or need a large amount of system resources to operate?
>
> >> To really be in full control, ideally we'd have a Shepherd service to administer it. Is this something you'd be motivated to work on? -- Maxim
> >
> > I need matrix homeserver on Guix myself so it would align with my work
> > when I figure out how to maintain a cluster of computers using public
> > repository which CI/CD calls guix commands for push-based deployment
> > which should be any day now.
>
> Nice!
>
> >> Moderation is something that I'm a bit worried about; at least
> >> speaking for myself I'd want to continue doing it from IRC and it'd
> >> need to sync to Matrix transparently, not the other way around. Is
> >> this possible? -- Maxim
> >
> > I am not qualified to answer that as I don't do cross-protocol moderation, CC Matrix support
>
> OK, let's see.
>
> Thanks,
>
> Maxim
>

[libera.chat]: http://libera.chat